<bugID>758011<Summary>[userstory] Multiple Display Density / Pixel Ratio Options</Summary><Description>Bug 749628 implements a responsive design tool for displaying websites at various mobile device screen sizes.

It would be really nice if it could also simulate the pixel densities of those devices by (for example) setting the layout.css.dpi preference so that CSS mozmm units and media queries that use device resolution work correctly.

Bonus points if you provide an option tozoom or -moz-transform the resulting layout so that mozmm units on the simulated screen are actual millimeters on the host display.  (See http://davidflanagan.github.com/Flex/screens.html for an example that transforms the simulated screens, but that cannot actually set the layout.css.dpi pref to process stylesheets correctly.)

This would be a really, really helpful feature for B2G/Gaia developers!</Description></bugID>